function y_p = roundingY(y, K, longueurs ,eventList, params)


for i = 1:length(y)

   [~, path, ~] = warping_mex(-y{i});
   y_p{i}      = full(sparse(path(:, 1), path(:, 2), ones(size(path, 1), 1)));

end